class Lawyer
  def method_missing(method, *args)
    puts "You called: #{method} with args (#{args.join(", ")})"
    puts "(You also passed it a block)" if block_given?
  end
end

bob = Lawyer.new
bob.talk_simple(:a, :b) do
  # nothing to do here
end

# You called: talk_simple with args (a, b)
# (You also passed it a block)
